## scikit-build 0.11.1

=== Makefile ===
.PHONY: help clean clean-build clean-coverage clean-pyc clean-skbuild clear-test lint test test-all coverage docs-only docs release dist

help:
	@echo "$(MAKE) [target]"
	@echo
	@echo "  targets:"
	@echo "    clean       - remove build and testing artifacts"
	@echo "    lint        - check style with flake8"
	@echo "    test        - run tests quickly with the default Python"
	@echo "    test-all    - run tests on every Python version with tox"
	@echo "    coverage    - check code coverage quickly with the default Python"
	@echo "    docs-only   - generate Sphinx HTML documentation, including API docs"
	@echo "    docs        - same as 'docs-only' and load HTML using default web browser"
	@echo "    release     - package and upload a release"
	@echo "    dist        - package"
	@echo

clean: clean-build clean-coverage clean-pyc clean-skbuild clear-test

clean-build:
	rm -fr build/
	rm -fr dist/
	find . -type d -name '*.eggs' -exec rm -rf {} +
	find . -type d -name '*.egg-info' -exec rm -rf {} +
	find . -type f -name 'MANIFEST' -exec rm -f {} +
	find tests/samples/*/dist/ -type d -exec rm -rf {} + > /dev/null 2>&1 || true

clean-coverage:
	rm -fr htmlcov/
	find . -name '.coverage' -exec rm -f {} +
	find . -name 'coverage.xml' -exec rm -f {} +

clean-pyc:
	find . -name '__pycache__' -exec rm -rf {} +
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

clean-skbuild:
	rm -rf _skbuild
	find tests/samples/*/_skbuild/ -type d -exec rm -rf {} + > /dev/null 2>&1 || true

clear-test:
	rm -rf .cache
	rm -rf .pytest_cache/

lint:
	flake8

test:
	python setup.py test

test-all:
	tox

coverage: test
	coverage html
	open htmlcov/index.html || xdg-open htmlcov/index.html

docs-only:
	rm -f docs/skbuild.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ --module-first skbuild
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

docs: docs-only
	open docs/_build/html/index.html || xdg-open docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

=== requirements.txt ===
wheel>=0.29.0
setuptools>=28.0.0;python_version>='3'
setuptools>=28.0.0,<45;python_version<'3'
packaging
distro

=== tests/samples/fail-outside-project-root/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(fail_outside_project_root NONE)

install(CODE "execute_process(COMMAND \${CMAKE_COMMAND} -E sleep 0)")

if(INSTALL_FILE)
  install(FILES dummy DESTINATION ..)
endif()

if(INSTALL_PROJECT)

  set(other_project_source_dir ${CMAKE_SOURCE_DIR}/other_project)
  set(other_project_build_dir ${CMAKE_BINARY_DIR}/../other_project-build)
  set(other_project_install_dir ${CMAKE_BINARY_DIR}/../other_project-install)

  file(MAKE_DIRECTORY ${other_project_build_dir})

  # Configure
  execute_process(
    COMMAND ${CMAKE_COMMAND}
      ${other_project_source_dir}
    WORKING_DIRECTORY ${other_project_build_dir}
    )

  # Install other_project
  install(CODE "
set(CMAKE_INSTALL_PREFIX \"${other_project_install_dir}\")
include(\"${other_project_build_dir}/cmake_install.cmake\")
")

endif()

=== tests/samples/hello-cython/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello_cython)

find_package(PythonExtensions REQUIRED)
find_package(Cython REQUIRED)

add_subdirectory(hello)

=== tests/samples/issue-274-support-one-package-without-package-dir/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello NONE)


set(module "${CMAKE_CURRENT_BINARY_DIR}/cmake_generated_module.py")
file(WRITE ${module} "# Generated from ${CMAKE_CURRENT_LIST_FILE}

def what():
    return \"cmake_generated_module\"

")
install(FILES ${module} DESTINATION hello/)

=== tests/samples/issue-284-build-ext-inplace/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello)

find_package(PythonExtensions REQUIRED)

add_library(_hello_sk MODULE hello/_hello_sk.cxx)
python_extension_module(_hello_sk)

install(TARGETS _hello_sk LIBRARY DESTINATION hello)

=== tests/samples/issue-334-configure-cmakelist-non-cp1252-encoding/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(foobar NONE)

# Sanskrit for "I can eat glass, it does not hurt me"
# See http://kermitproject.org/utf8.html
install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E echo \"kācaṃ śaknomyattum; nopahinasti mām\")")

=== tests/samples/issue-335-support-cmake-source-dir/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(hello NONE)

# Headers
file(WRITE "bar.h" "")
file(WRITE "foo.h" "")
install(FILES "bar.h" "foo.h" DESTINATION include)

# Static libraries
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/libbar.a" "")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/libfoo.a" "")
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/libbar.a"
    "${CMAKE_CURRENT_BINARY_DIR}/libfoo.a"
  DESTINATION lib/static
  )

# Executables
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/hello" "")
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/hello"
  DESTINATION bin
  )

add_subdirectory(wrapping/python)

=== tests/samples/test-hide-listing/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(test_hide_listing NONE)

add_subdirectory(hello)

file(WRITE "${CMAKE_BINARY_DIR}/helloModule.py" "# helloModule.py")
install(FILES "${CMAKE_BINARY_DIR}/helloModule.py" DESTINATION ".")

=== tests/samples/test-include-exclude-data-with-base/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(test_include_exclude_data_with_base NONE)

set(base "src/")

set(module "${CMAKE_CURRENT_BINARY_DIR}/cmake_generated_module.py")
file(WRITE ${module} "# Generated from ${CMAKE_CURRENT_LIST_FILE}

def what():
    return \"cmake_generated_module\"

")
install(FILES ${module} DESTINATION ${base}hello)

# hello data
set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data1_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data2_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data3_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello/data/subdata)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data4_cmake_generated_and_exclude_from_setup.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello/data/subdata)

# hello2 data
set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data1_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data2_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data3_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2/data2/subdata2)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data4_cmake_generated_and_exclude_from_setup.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2/data2/subdata2)

=== tests/samples/test-include-exclude-data/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(test_include_exclude_data NONE)

set(base "")

set(module "${CMAKE_CURRENT_BINARY_DIR}/cmake_generated_module.py")
file(WRITE ${module} "# Generated from ${CMAKE_CURRENT_LIST_FILE}

def what():
    return \"cmake_generated_module\"

")
install(FILES ${module} DESTINATION ${base}hello)

# hello data
set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data1_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data2_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data3_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello/data/subdata)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello_data4_cmake_generated_and_exclude_from_setup.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello/data/subdata)

# hello2 data
set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data1_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data2_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data3_cmake_generated.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2/data2/subdata2)

set(data "${CMAKE_CURRENT_BINARY_DIR}/hello2_data4_cmake_generated_and_exclude_from_setup.txt")
file(WRITE ${data} "# Generated from ${CMAKE_CURRENT_LIST_FILE}")
install(FILES ${data} DESTINATION ${base}hello2/data2/subdata2)

=== tests/samples/cmakelists-not-in-top-level-dir/hello/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello)

find_package(PythonExtensions REQUIRED)

add_library(_hello MODULE _hello.cxx)
python_extension_module(_hello)

install(TARGETS _hello LIBRARY DESTINATION hello)

=== debian/changelog ===
scikit-build (0.11.1-2) unstable; urgency=medium

  * d/control: Depends on cmake. Patch by Matthias Klose.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 19 Nov 2020 16:20:20 -0300

scikit-build (0.11.1-1) unstable; urgency=medium

  * Initial release. Closes: #947097

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 05 Nov 2020 09:54:30 -0300

=== debian/control ===
Source: scikit-build
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-wheel (>= 0.29.0),
 python3-distro,
 python3-coverage (>= 4.2),
 cython3 (>= 0.25.1),
 python3-flake8 (>= 3.0.4),
 python3-path (>= 11.5.0),
 python3-pytest (>= 4.5.0),
 python3-pytest-cov (>= 2.7.1),
 python3-mock (>= 1.10.4),
 python3-pytest-runner,
 python3-requests,
 python3-six (>= 1.10.0),
 python3-virtualenv,
 python3-docutils,
 python3-sphinx (>> 1.8.5),
 python3-sphinx-rtd-theme,
 python3-sphinx-issues,
 python3-pygments
Standards-Version: 4.5.0
Homepage: https://scikit-build.org
Vcs-Git: https://salsa.debian.org/debian/scikit-build.git
Vcs-Browser: https://salsa.debian.org/debian/scikit-build

Package: python3-skbuild
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-setuptools (>= 28.0.0),
 python3-distro,
 cmake,
Suggests:
 python-skbuild-doc
Description: improved build system generator for Python C/C++/Fortran/Cython extensions
 Better support is available for additional compilers, build systems, cross
 compilation, and locating dependencies and determining their build
 requirements.
 .
 The scikit-build package is fundamentally just glue between the setuptools
 Python module and CMake.
 .
 This is Python 3 module.

Package: python-skbuild-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: skbuild (documentation)
 Better support is available for additional compilers, build systems, cross
 compilation, and locating dependencies and determining their build
 requirements.
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = skbuild
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/docs html

## scikit-build 0.13.1

=== tests/samples/hello-pep518/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14...3.18)

project(hello-pybind11 VERSION "0.1")

# Define CMAKE_INSTALL_xxx: LIBDIR, INCLUDEDIR
include(GNUInstallDirs)

# Fetch pybind11
include(FetchContent)

FetchContent_Declare(
  pybind11
  URL https://github.com/pybind/pybind11/archive/refs/tags/v2.6.2.tar.gz
  URL_HASH SHA256=8ff2fff22df038f5cd02cea8af56622bc67f5b64534f1b83b9f133b8366acff2
)
FetchContent_MakeAvailable(pybind11)

set(python_module_name _hello)
pybind11_add_module(${python_module_name} MODULE
  src/hello/hello_py.cpp
  )

install(TARGETS ${python_module_name} DESTINATION .)

# Quiet a warning, since this project is only valid with SKBUILD
set(ignoreMe "${SKBUILD}")

=== debian/changelog ===
scikit-build (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Add support for python3.9 and python3.10.
  * debian/control: Fix Vcs-* fields.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches: Refresh patches.
  * debian/copyright: Fix lintian warnings.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Mar 2022 11:53:29 -0400

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
  python3-sphinx-rtd-theme,
  python3-sphinx-issues,
  python3-pygments
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://scikit-build.org
-Vcs-Git: https://salsa.debian.org/debian/scikit-build.git
-Vcs-Browser: https://salsa.debian.org/debian/scikit-build
+Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build
 
 Package: python3-skbuild
 Architecture: all

## scikit-build 0.14.1

=== debian/changelog ===
scikit-build (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. 
  * debian/copyright: Drop information about unused versioneer.
  * debian/rules: Delete generated skbuild/_version.py after dh_clean.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 May 2022 20:32:01 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-wheel (>= 0.29.0),
  python3-distro,
  python3-coverage (>= 4.2),

## scikit-build 0.15.0

=== debian/changelog ===
scikit-build (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix compatibility with python3.10 on distutils.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Add missing Built-Using field for doc package.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 13:05:00 -0400

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-sphinx-rtd-theme,
  python3-sphinx-issues,
  python3-pygments
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://scikit-build.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build
@@ -55,6 +55,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: skbuild (documentation)
  Better support is available for additional compilers, build systems, cross
  compilation, and locating dependencies and determining their build

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	$(MAKE) -C $(CURDIR)/docs html
+
+execute_after_dh_clean:
+	# Clean generated _version.py
+	rm -f skbuild/_version.py

## scikit-build 0.16.1

=== debian/changelog ===
scikit-build (0.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Drop requirement on python3-six.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Nov 2022 16:23:35 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-mock (>= 1.10.4),
  python3-pytest-runner,
  python3-requests,
- python3-six (>= 1.10.0),
  python3-virtualenv,
  python3-docutils,
  python3-sphinx (>> 1.8.5),

## scikit-build 0.16.2

=== debian/changelog ===
scikit-build (0.16.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-skbuild-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:54:30 +0000

scikit-build (0.16.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:37:14 +0000

scikit-build (0.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Nov 2022 14:02:39 -0500

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
- python3-wheel (>= 0.29.0),
+ python3-wheel,
  python3-distro,
- python3-coverage (>= 4.2),
- cython3 (>= 0.25.1),
- python3-flake8 (>= 3.0.4),
- python3-path (>= 11.5.0),
+ python3-coverage,
+ cython3,
+ python3-flake8,
+ python3-path,
  python3-pytest (>= 4.5.0),
  python3-pytest-cov (>= 2.7.1),
- python3-mock (>= 1.10.4),
+ python3-mock,
  python3-pytest-runner,
  python3-requests,
  python3-virtualenv,
@@ -35,7 +35,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-setuptools (>= 28.0.0),
+ python3-setuptools,
  python3-distro,
  cmake,
 Suggests:
@@ -55,6 +55,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: skbuild (documentation)
  Better support is available for additional compilers, build systems, cross
  compilation, and locating dependencies and determining their build

## scikit-build 0.16.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/complexity.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/complexity.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/complexity"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/complexity"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tests/samples/cython-flags/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(cython_flags)

find_package(PythonExtensions REQUIRED)
find_package(Cython REQUIRED)

add_subdirectory(hello)

=== tests/samples/fail-with-fatal-error-cmakelists/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(fail_with_fatal_error_cmakelists NONE)

install(CODE "execute_process(COMMAND \${CMAKE_COMMAND} -E sleep 0)")

message(FATAL_ERROR "Invalid CMakeLists.txt")

=== tests/samples/fail-with-syntax-error-cmakelists/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(fail_with_syntax_error_cmakelists NONE)

install(CODE "execute_process(COMMAND \${CMAKE_COMMAND} -E sleep 0)")

message(STATUS "This is incorrect  # Parenthesis omitted on purpose

=== tests/samples/hello-pep518/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.14...3.18)
+cmake_minimum_required(VERSION 3.14...3.24)
 
 project(hello-pybind11 VERSION "0.1")
 
@@ -10,8 +10,8 @@
 
 FetchContent_Declare(
   pybind11
-  URL https://github.com/pybind/pybind11/archive/refs/tags/v2.6.2.tar.gz
-  URL_HASH SHA256=8ff2fff22df038f5cd02cea8af56622bc67f5b64534f1b83b9f133b8366acff2
+  URL https://github.com/pybind/pybind11/archive/refs/tags/v2.10.0.tar.gz
+  URL_HASH SHA256=eacf582fa8f696227988d08cfc46121770823839fe9e301a20fbce67e7cd70ec
 )
 FetchContent_MakeAvailable(pybind11)

=== tests/samples/issue-284-build-ext-inplace/CMakeLists.txt ===


=== tests/samples/test-cmake-target/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(test-cmake-target NONE)
file(WRITE "${CMAKE_BINARY_DIR}/foo.txt" "# foo")
file(WRITE "${CMAKE_BINARY_DIR}/runtime.txt" "# runtime")
install(FILES "${CMAKE_BINARY_DIR}/foo.txt" DESTINATION ".")
install(CODE "message(STATUS \"Project has been installed\")")
install(FILES "${CMAKE_BINARY_DIR}/runtime.txt" DESTINATION "." COMPONENT runtime)
install(CODE "message(STATUS \"Runtime component has been installed\")" COMPONENT runtime)
# Add custom target to only install component: runtime (libraries)
add_custom_target(install-runtime
    ${CMAKE_COMMAND}
    -DCMAKE_INSTALL_COMPONENT=runtime
    -P "${PROJECT_BINARY_DIR}/cmake_install.cmake"
    )

=== tests/samples/test-include-exclude-data-with-base/CMakeLists.txt ===


=== tests/samples/test-include-exclude-data/CMakeLists.txt ===


=== tests/samples/cython-flags/hello/CMakeLists.txt ===

set(CYTHON_FLAGS "-X c_string_encoding=default")
add_cython_target(_hello CXX)
add_library(_hello MODULE ${_hello})
python_extension_module(_hello)

install(TARGETS _hello LIBRARY DESTINATION hello)

=== tests/samples/fail-outside-project-root/other_project/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(other_project NONE)

install(FILES ${CMAKE_SOURCE_DIR}/../dummy DESTINATION .)

=== debian/changelog ===
scikit-build (0.16.4-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: Update the Upstream-Contact. Upstream does not use the
    mailing list, now Github Discussions is used.
    - Remove Licenses entries for BSD-3-clause and CC0-1.0. They are not
    present in upstream source.
    - Use expat license name instead of MIT.
    - Update Copyright Year for debian/* files.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1; no further changes
    needed).
  * d/control: Update upstream Homepage link.
  * d/rules: Activate unit tests execution. Remove PYBUILD_DISABLE=test variable.
  * d/control: Move cmake from binary dependency to build dependency. It is
    used in tests.
  * d/control: Add python3-build, python3-pip, python3-pytest-mock, git,
    python3-all-dev as build depends. They are used in tests.
  * d/rules: override dh_auto_test to execute unit tests.
    - Ignore tests that need more work to run successful.
  * d/control: Add <!nocheck> profile to packages used in tests.
  * d/control: Remove python3-pytest-cov and python3-mock from build depends.
    They are not used.
  * wrap-and-sort.
  * d/tests: Add autopkgtest.
  * d/control: Add Rules-Requires-Root: no in source stanza.
  * d/tests/control: Add build-essential as a Depends of autopkgtests.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 29 Jan 2023 16:35:12 -0300

=== debian/control ===
Source: scikit-build
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: cmake,
               cython3,
               debhelper-compat (= 13),
               dh-python,
               git <!nocheck>,
               python3-all,
               python3-all-dev <!nocheck>,
               python3-build <!nocheck>,
               python3-distro,
               python3-path,
               python3-pip <!nocheck>,
               python3-pygments,
               python3-pytest (>= 4.5.0) <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-runner,
               python3-requests,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx (>> 1.8.5),
               python3-sphinx-issues,
               python3-sphinx-rtd-theme,
               python3-virtualenv <!nocheck>,
               python3-wheel,
Standards-Version: 4.6.2
Homepage: https://scikit-build.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build
Rules-Requires-Root: no

Package: python3-skbuild
Architecture: all
Depends: cmake,
         python3-distro,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-skbuild-doc,
Description: improved build system generator for Python C/C++/Fortran/Cython extensions
 Better support is available for additional compilers, build systems, cross
 compilation, and locating dependencies and determining their build
 requirements.
 .
 The scikit-build package is fundamentally just glue between the setuptools
 Python module and CMake.
 .
 This is Python 3 module.

Package: python-skbuild-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Multi-Arch: foreign
Description: skbuild (documentation)
 Better support is available for additional compilers, build systems, cross
 compilation, and locating dependencies and determining their build
 requirements.
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = skbuild

PY3VERS=$(shell py3versions -vr)

# These tests need work. Ignore them until freeze Debian finish.
export IGNORE_TESTS=-k 'not test_hello_sdist \
                and not test_hello_sdist_with_base \
                and not test_sdist_with_symlinks\
                and not test_manifest_in_sdist \
                and not test_generator_cleanup \
                and not test_fortran \
                and not test_pep518_findpython \
                and not test_pep518 \
                and not test_dual_pep518 \
                and not test_hello_develop \
                and not test_install_command \
                and not test_help_commands \
                and not test_test_command'
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/docs html

execute_after_dh_clean:
	# Clean generated _version.py
	rm -f skbuild/_version.py

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PY3VERS) ; do \
		python$$i -m pytest $(IGNORE_TESTS); \
	done
endif

## scikit-build 0.17.6

=== debian/changelog ===
scikit-build (0.17.6-1deepin1) unstable; urgency=medium

  * skip test.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 22 Nov 2023 13:07:05 +0800

scikit-build (0.17.6-1) unstable; urgency=medium

  * New upstream version (Closes: #1042353).
  * d/patches/0001-Remove-cmake-extension.patch: Update patch according to new
    upstream release.
  * d/control: Add pybuild-plugin-pyproject as Build Depends.
    - Add python3-hatchling, python3-hatch-fancy-pypi-readme, python3-hatch-vcs
      as Build-Depends.
    - Remove python3-path, python3-pytest-runner and python3-setuptools-scm as
      Build-Depends. They are not longer need.
  * d/tests/control: ignore test_source_distribution and test_wheel, they need a
    .git configured for the project.
  * d/copyright: Update Copyright year for debian/* files.
  * d/tests/testsuite: Copy pyproject.toml to AUTOPKGTEST_TMP folder, to avoid
    warnings during the tests.
  * d/control: Remove the Built-Using from python-skbuild-doc package stanza
    because it is declared as Architecture: all.
  * d/control: Update my contact information. Also in d/copyright for debian/*
    files copyright.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 21 Jun 2023 17:04:25 -0300

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: cmake,
                cython3,
                debhelper-compat (= 13),
                dh-python,
                git <!nocheck>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev <!nocheck>,
                python3-build <!nocheck>,
                python3-distro,
-               python3-path,
+               python3-hatch-fancy-pypi-readme,
+               python3-hatch-vcs,
+               python3-hatchling,
                python3-pip <!nocheck>,
                python3-pygments,
                python3-pytest (>= 4.5.0) <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-pytest-runner,
                python3-requests,
                python3-setuptools,
-               python3-setuptools-scm,
                python3-sphinx (>> 1.8.5),
                python3-sphinx-issues,
                python3-sphinx-rtd-theme,
@@ -55,7 +56,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-Built-Using: ${sphinxdoc:Built-Using},
 Multi-Arch: foreign
 Description: skbuild (documentation)
  Better support is available for additional compilers, build systems, cross

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE = 1
 export PYBUILD_NAME = skbuild
 
+export DEB_BUILD_OPTIONS=nocheck
 PY3VERS=$(shell py3versions -vr)
 
 # These tests need work. Ignore them until freeze Debian finish.

## scikit-build 0.18.0

=== debian/changelog ===
scikit-build (0.18.0-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0002-tests-fix-for-distutils-change.patch: apply upstream
    patch to resolve ftbfs due to tests assiging internal setuptools
    variable.Thanks to Henry Schreiner <HenrySchreinerIII@gmail.com>.
    Thanks Vladimir Petko to pin patch (Closes: #1076313).
  * d/control: Drop python3-build and python3-pygments from Build
    Dependencies, they are not longer needed.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 22 Jul 2024 13:05:42 -0300

scikit-build (0.17.6-2) unstable; urgency=medium

  * d/rules: Ignore tests/test_distribution.py test file, because it
    use pip (Closes: #1069805).
    - Ingore it in autopkgtest. Also ignore warnings to avoid fail tests.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 26 Apr 2024 21:01:05 -0300

## scikit-build 0.18.1

=== tests/samples/fail-hello-with-compile-error/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello)

find_package(PythonExtensions REQUIRED)

add_subdirectory(hello)

=== tests/samples/hello-cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello)

find_package(PythonExtensions REQUIRED)

add_subdirectory(hello)

file(WRITE "${CMAKE_BINARY_DIR}/helloModule.py" "# helloModule.py")
install(FILES "${CMAKE_BINARY_DIR}/helloModule.py" DESTINATION ".")

#
# This code is here *ONLY* to test that the different signatures of
# "check_dynamic_lookup" functions are not causing errors.
#
include(targetLinkLibrariesWithDynamicLookup)
check_dynamic_lookup("MODULE" "SHARED" "HELLO_HAS_DYNAMIC_LOOKUP")
check_dynamic_lookup("HELLO_HAS_DYNAMIC_LOOKUP")

=== tests/samples/hello-fortran/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello_fortran C Fortran)

find_package(PythonExtensions REQUIRED)
find_package(NumPy REQUIRED)
find_package(F2PY REQUIRED)

add_subdirectory(hello)
add_subdirectory(bonjour)

=== tests/samples/issue-274-support-default-package-dir/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(hello NONE)


set(module "${CMAKE_CURRENT_BINARY_DIR}/cmake_generated_module.py")
file(WRITE ${module} "# Generated from ${CMAKE_CURRENT_LIST_FILE}

def what():
    return \"cmake_generated_module\"

")
install(FILES ${module} DESTINATION src/hello/)

=== tests/samples/issue-334-configure-cmakelist-non-cp1252-encoding/CMakeLists.txt ===


=== tests/samples/issue-668-symbol-visibility/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.22)

project(hello)

find_package(PythonExtensions REQUIRED)

add_library(_hello MODULE hello/_hello.cxx)
python_extension_module(_hello)
install(TARGETS _hello LIBRARY DESTINATION hello)

=== tests/samples/test-filter-manifest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(hello NONE)

# Headers
file(WRITE "bar.h" "")
file(WRITE "foo.h" "")
install(FILES "bar.h" "foo.h" DESTINATION include)

# Static libraries
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/libbar.a" "")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/libfoo.a" "")
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/libbar.a"
    "${CMAKE_CURRENT_BINARY_DIR}/libfoo.a"
  DESTINATION lib/static
  )

# Executables
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/hello" "")
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/hello"
  DESTINATION bin
  )

add_subdirectory(wrapping/python)

=== tests/samples/hello-fortran/hello/CMakeLists.txt ===
set(_module_name "_hello")
set(fortran_src_file "${CMAKE_CURRENT_SOURCE_DIR}/_hello.f90")

set(generated_module_file ${CMAKE_CURRENT_BINARY_DIR}/${_module_name}${PYTHON_EXTENSION_MODULE_SUFFIX})

add_f2py_target(${_module_name} "${fortran_src_file}" OUTPUT_VAR _module_target_output)

add_library(${_module_name} MODULE ${_module_name})
target_include_directories(${_module_name} PRIVATE ${F2PY_INCLUDE_DIRS})
target_link_libraries(${_module_name} ${F2PY_LIBRARIES})
python_extension_module(${_module_name})

install(TARGETS ${_module_name}
  LIBRARY DESTINATION hello
)

=== debian/changelog ===
scikit-build (0.18.1-3) unstable; urgency=medium

  * Team upload.
  * Fix test cases for CMake 4 compatibility (Closes: #1113488)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Sep 2025 17:34:59 +0200

scikit-build (0.18.1-2) unstable; urgency=medium

  * Team upload.
  * Do not generate a spurious dependency on python3-pkg-resources
    (Closes: #1083759)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 00:50:13 +0100

scikit-build (0.18.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for newer setuptools (#1120). Closes: #1086222, #1086383.
  * Skip tests throwing deprecation warnings with setuptools 75.x.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:56:56 +0100

scikit-build (0.18.1-1) unstable; urgency=medium

  * New upstream version (Closes: #1079758).
  * d/patches/0002-tests-fix-for-distutils-change.patch: Remove patch, it is not
    longer needed.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 29 Aug 2024 19:25:39 -0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,16 @@
 Build-Depends: cmake,
                cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                git <!nocheck>,
                pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev <!nocheck>,
-               python3-build <!nocheck>,
                python3-distro,
                python3-hatch-fancy-pypi-readme,
                python3-hatch-vcs,
                python3-hatchling,
                python3-pip <!nocheck>,
-               python3-pygments,
                python3-pytest (>= 4.5.0) <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #export DH_VERBOSE = 1
 export PYBUILD_NAME = skbuild
 
-export DEB_BUILD_OPTIONS=nocheck
 PY3VERS=$(shell py3versions -vr)
 
 # These tests need work. Ignore them until freeze Debian finish.
@@ -19,12 +18,12 @@
                 and not test_hello_develop \
                 and not test_install_command \
                 and not test_help_commands \
-                and not test_test_command'
+                and not test_test_command' \
+		--ignore=tests/test_distribution.py
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	$(MAKE) -C $(CURDIR)/docs html
 
 execute_after_dh_clean:

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         cython3,
         git,
         python3-all,
         python3-all-dev,
         python3-build,
         python3-pip,
         python3-pytest,
         python3-pytest-mock,
         python3-requests,
         python3-virtualenv,
         @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/scikit-build-$1\.tar\.gz/ \
  https://github.com/scikit-build/scikit-build/tags .*/v?(\d\S+)\.tar\.gz
